function MFS_New = mfsRefine(MFS_Old,varargin)
%mfsRefine refines the combind MFS vectors by subsampling individual weighted MFS
%          vectors.
%
%MFS_New = mfsRefine(MFS_Old) refines the MFS vector using default weighting
%                             and subsampling
%
%MFS_New= mfsRefine(MFS_Old,Weight) refines the MFS vector by subsampling
%                                   the MFS vector by default setting and 
%                                   applying the  weighting vector Weight
%
%MFS_New= mfsRefine(MFS_Old,Weight,idx) refines the MFS vector by subsampling MFS vector 
%                                       as specified by idx and applying weighting
%                                       vector Weight.
%
%Author: Yong Xu, Hui Ji
%Date: Apr 24, 2007


if (nargin == 1),
    weight = [2,4,4]/10;
    idx{1} = [6:20];
    idx{2} = [1:15];
    idx{3} = [1:15];
elseif (nargin == 2)
    weight = varargin{1};
    idx{1} = [6:20];
    idx{2} = [1:15];
    idx{3} = [1:15];
else
    weight = varargin{1};
    idx = varargin{2};
end;


MFS_New = [];
for k = 1:3,
    MFS_New{k} = MFS_Old{k}(idx{k}) * weight(k);
end;
    
