function [alpha_New,MFS_New] = mfsRefine_kmean(alpha_Old,MFS_Old,varargin)
%mfsRefine refines the combind MFS vectors by subsampling the individual weighted MFS
%          vectors.
%
%MFS_New = mfsRefine(alpha_Old,MFS_Old) refines the MFS vector using default weighting
%                             and subsampling
%
%MFS_New= mfsRefine(alpha_Old,MFS_Old,Weight) refines the MFS vector by subsampling
%                                   the MFS vector by default setting and 
%                                   applying the  weighting vector Weight
%MFS_New= mfsRefine(alpha_Old,MFS_Old,Weight,idx) refines the MFS vector by subsampling the MFS vector 
%                                       as specified in idx and applying the weighting
%                                       vector Weight.
%
%Last modification: July-14-2007

if (nargin == 2),
    weight = [2,4,4]/10;
    for k = 1:3,
        idx{k} = [1:length(alpha_Old{k})];
    end
elseif (nargin ==3),
    weight = varargin{1};
     for k = 1:3,
        idx{k} = [1:length(alpha_Old{k})];
     end;
else
    weight = varargin{1};
    idx = varargin{2};
end;

MFS_New = [];
alpha_New = [];
for k = 1:3,
    alpha_New{k} = alpha_Old{k}(idx{k});
    MFS_New{k} = MFS_Old{k}(idx{k}) * weight(k);
end;