function d = mfs_dist_kmean(alpha1,mfs1,alpha2,mfs2)
%
%
% mfs_dist_kmean(alpha1,mfs1,alpha2,mfs2) computes the distance between two
%                                      MFSs (mf1, mf2) with central values 
%                                      (alpha1, alpha2) by EMD distance 
%
%Last modification: July 14, 2007
addpath '../emd';  
if (iscell(mfs1) && iscell(mfs2))
    Option = 1;
else 
    Option = 0;
end;
d = 0;
if (Option == 0)
    e = zeros(length(alpha1),length(alpha2));
    for i = 1:size(e,2),
        e(i,:) = abs(alpha1(i)-alpha2(:));
    end;  
    d = emd_mex(mfs1,mfs2,e);
    
else
    for k = 1:3,
        e = zeros(length(alpha1{k}),length(alpha2{k}));
        for i = 1:size(e,1),
            e(i,:) = abs(alpha1{k}(i)-alpha2{k}(:));
        end;  
        d = d + emd_mex(mfs1{k},mfs2{k},e);
    end;    
end;

return;

